9IMPORT(4)

NAME
9import - import a name space from a remote system

SYNOPSIS
9import [ options ] system file [ mountpoint ]

DESCRIPTION
The 9import tool allows an arbitrary file on a remote system, with the capability of running the Plan 9 exportfs(4) service, to be imported into the local name space. Usually file is a directory, so the complete file tree under the directory is made available.

A process is started on the remote machine, with authority of the user of 9import, to perform work for the local machine using the exportfs(4) service. The default port used is TCP 17007. If mountpoint is omitted, then 9import uses the name of the remote file as the local mount point.

The options are:

-A  Skip the authentication protocol. This is useful for connecting to foreign systems like Inferno.

-k keypattern
    Use keypattern to select a key to authenticate to the remote side (see auth(2)).

-p  Push the aan(8) filter onto the connection to protect against temporary network outages.

-s name
    Post the connection's mountable file descriptor as /srv/name.

SOURCE
/src/cmd/9import.c

SEE ALSO
srv(4), aan(8), listen1(8), cs in ndb(7)

BUGS
Encryption is not implemented.